package com.muyu.cloud.mart.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.Birthday;
import com.muyu.domain.IdCard;
import com.muyu.domain.Market;
import com.muyu.domain.Postcode;
import com.muyu.domain.res.BirthdayRes;

import java.util.List;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.cloud.etl.service
 * @Project：cloud-mart
 * @name：MarketService
 * @Date：2024/8/21 21:54
 */
public interface MarketService extends IService<Market> {

    Result phonePlace(String tel);

    Result getIpPlace(String ip);

    Result getHeadlines();

    Result getWeather();

    Result getBirthday(BirthdayRes birthdayRes);

    Result getPostcode(String code);

    Result getWeatherForecast(String cityName);

    Result realName(IdCard idCard);
}
